org.apache.iotdb.jdbc

## Class IoTDBNonAlignJDBCResultSet

- java.lang.Object
- - org.apache.iotdb.jdbc.AbstractIoTDBJDBCResultSet
  - - org.apache.iotdb.jdbc.IoTDBNonAlignJDBCResultSet

All Implemented Interfaces:
  AutoCloseable, ResultSet, Wrapper

    public class IoTDBNonAlignJDBCResultSet
    extends AbstractIoTDBJDBCResultSet

### Field Summary

### Fields inherited from class org.apache.iotdb.jdbc.AbstractIoTDBJDBCResultSet

`columnTypeList, ioTDBRpcDataSet, ioTDBRpcTracingInfo, statement, warningChain`

### Fields inherited from interface java.sql.ResultSet

`CLOSE_CURSORS_AT_COMMIT, CONCUR_READ_ONLY, CONCUR_UPDATABLE, FETCH_FORWARD, FETCH_REVERSE, FETCH_UNKNOWN, HOLD_CURSORS_OVER_COMMIT, TYPE_FORWARD_ONLY, TYPE_SCROLL_INSENSITIVE, TYPE_SCROLL_SENSITIVE`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected void` `checkRecord()`
`protected void` `constructOneRow()`
`protected boolean` `fetchResults()`
`long` `getLong(String columnName)`
`protected Object` `getObjectByName(String columnName)`
`String` `getOperationType()`
`List<String>` `getSgColumns()`
`protected String` `getValueByName(String columnName)`
`protected boolean` `hasCachedResults()`

### Methods inherited from class org.apache.iotdb.jdbc.AbstractIoTDBJDBCResultSet

`absolute, afterLast, beforeFirst, cancelRowUpdates, clearWarnings, close, deleteRow, findColumn, first, getActivityList, getArray, getArray, getAsciiStream, getAsciiStream, getBigDecimal, getBigDecimal, getBigDecimal, getBigDecimal, getBinaryStream, getBinaryStream, getBlob, getBlob, getBoolean, getBoolean, getByte, getByte, getBytes, getBytes, getCharacterStream, getCharacterStream, getClob, getClob, getConcurrency, getCursorName, getDate, getDate, getDate, getDate, getDouble, getDouble, getElapsedTimeList, getFetchDirection, getFetchSize, getFloat, getFloat, getHoldability, getInt, getInt, getLong, getMetaData, getNCharacterStream, getNCharacterStream, getNClob, getNClob, getNString, getNString, getObject, getObject, getObject, getObject, getObject, getObject, getRef, getRef, getRow, getRowId, getRowId, getShort, getShort, getSQLXML, getSQLXML, getStatement, getStatisticsByName, getStatisticsInfoByName, getString, getString, getTime, getTime, getTime, getTime, getTimestamp, getTimestamp, getTimestamp, getTimestamp, getType, getUnicodeStream, getUnicodeStream, getURL, getURL, getWarnings, insertRow, isAfterLast, isBeforeFirst, isClosed, isFirst, isLast, isSetTracingInfo, isWrapperFor, last, moveToCurrentRow, moveToInsertRow, next, previous, refreshRow, relative, rowDeleted, rowInserted, rowUpdated, setFetchDirection, setFetchSize, unwrap, updateArray, updateArray, updateAsciiStream, updateAsciiStream, updateAsciiStream, updateAsciiStream, updateAsciiStream, updateAsciiStream, updateBigDecimal, updateBigDecimal, updateBinaryStream, updateBinaryStream, updateBinaryStream, updateBinaryStream, updateBinaryStream, updateBinaryStream, updateBlob, updateBlob, updateBlob, updateBlob, updateBlob, updateBlob, updateBoolean, updateBoolean, updateByte, updateByte, updateBytes, updateBytes, updateCharacterStream, updateCharacterStream, updateCharacterStream, updateCharacterStream, updateCharacterStream, updateCharacterStream, updateClob, updateClob, updateClob, updateClob, updateClob, updateClob, updateDate, updateDate, updateDouble, updateDouble, updateFloat, updateFloat, updateInt, updateInt, updateLong, updateLong, updateNCharacterStream, updateNCharacterStream, updateNCharacterStream, updateNCharacterStream, updateNClob, updateNClob, updateNClob, updateNClob, updateNClob, updateNClob, updateNString, updateNString, updateNull, updateNull, updateObject, updateObject, updateObject, updateObject, updateRef, updateRef, updateRow, updateRowId, updateRowId, updateShort, updateShort, updateSQLXML, updateSQLXML, updateString, updateString, updateTime, updateTime, updateTimestamp, updateTimestamp, wasNull`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.sql.ResultSet

`updateObject, updateObject, updateObject, updateObject`

### Method Detail

#### getLong

    public long getLong(String columnName)
                 throws SQLException

Specified by:
  `getLong` in interface `ResultSet`
Specified by:
  `getLong` in class `AbstractIoTDBJDBCResultSet`
Throws:
  `SQLException`

#### fetchResults

    protected boolean fetchResults()
                            throws SQLException

Returns:
  true means has results
Throws:
  `SQLException`

#### hasCachedResults

    protected boolean hasCachedResults()

#### constructOneRow

    protected void constructOneRow()

#### checkRecord

    protected void checkRecord()
                        throws SQLException

Throws:
  `SQLException`

#### getValueByName

    protected String getValueByName(String columnName)
                             throws SQLException

Throws:
  `SQLException`

#### getObjectByName

    protected Object getObjectByName(String columnName)
                              throws SQLException

Throws:
  `SQLException`

#### getOperationType

    public String getOperationType()

#### getSgColumns

    public List<String> getSgColumns()